Difference between revisions of "Template:Which version" From Online Manual

Jump to: navigation, search
Line 22: Line 22:
 
The {{{deprecatedseries|}}}.x series is deprecated. There will be no new features. Security updates and/or fixes for any major bugs will be made as required, in the best judgement of the team. It is still supported by the SMF team.  Upgrading to the current stable version is recommended, as long as your server meets the [[Requirements]] for the current series. If upgrade is difficult because of modifications and other customizations, upgrading to the most recent version of {{{deprecatedseries|}}}.x is recommended as a '''short term measure only'''. The most recent version of the {{{deprecatedseries|}}}.x series has the latest security features for {{{deprecatedseries|}}}.x forums, and several update and upgrade options can be found in the [http://download.simplemachines.org/?archive SMF archives]
 
The {{{deprecatedseries|}}}.x series is deprecated. There will be no new features. Security updates and/or fixes for any major bugs will be made as required, in the best judgement of the team. It is still supported by the SMF team.  Upgrading to the current stable version is recommended, as long as your server meets the [[Requirements]] for the current series. If upgrade is difficult because of modifications and other customizations, upgrading to the most recent version of {{{deprecatedseries|}}}.x is recommended as a '''short term measure only'''. The most recent version of the {{{deprecatedseries|}}}.x series has the latest security features for {{{deprecatedseries|}}}.x forums, and several update and upgrade options can be found in the [http://download.simplemachines.org/?archive SMF archives]
  
To bring a {{{deprecatedseries|}}}.x series forum up to the latest version, please [[Upgrading upgrade]]. Check that your mods are compatable with the newest version of the forum, and install the appropriate versions of your mods.}}<!--
+
To bring a {{{deprecatedseries|}}}.x series forum up to the latest version, please [[Upgrading|upgrade]]. Check that your mods are compatable with the newest version of the forum, and install the appropriate versions of your mods.}}<!--
  
 
-->{{#if: {{{obsoleteseries|}}}|&nbsp;
 
-->{{#if: {{{obsoleteseries|}}}|&nbsp;
Line 28: Line 28:
 
The {{{obsoleteseries|}}}.x series is obsolete and will no longer be supported at simplemachines.org. It is recommended that the administrator obtain any assistance required to [[Upgrading|upgrade]] to the current stable version. No new features, bug fixes, or security updates will be released for the {{{obsoleteseries|}}}.x series. While obsolete series can be found in the [http://download.simplemachines.org/?archive SMF archives], they are recommended only for reference as you prepare to upgrade to the current stable version.
 
The {{{obsoleteseries|}}}.x series is obsolete and will no longer be supported at simplemachines.org. It is recommended that the administrator obtain any assistance required to [[Upgrading|upgrade]] to the current stable version. No new features, bug fixes, or security updates will be released for the {{{obsoleteseries|}}}.x series. While obsolete series can be found in the [http://download.simplemachines.org/?archive SMF archives], they are recommended only for reference as you prepare to upgrade to the current stable version.
  
Please [[Upgrading upgrade]] to bring your files and database up to date.}}
+
Please [[Upgrading|upgrade]] to bring your files and database up to date.}}
  
 
===Development versions===
 
===Development versions===
 
Development versions (beta or RC) are not recommended for live SMF forums, as they are still being tested. Interested admins may install development versions in order to familiarize themselves with new features and options for users and administrators, and for testing. They are available at [http://download.simplemachines.org download.simplemachines.org]. Many of your favorite mods may not be compatable with the development versions of the forum. Check your mods' support threads for more information on mods.</includeonly><noinclude>{{Documentation}}</noinclude>
 
Development versions (beta or RC) are not recommended for live SMF forums, as they are still being tested. Interested admins may install development versions in order to familiarize themselves with new features and options for users and administrators, and for testing. They are available at [http://download.simplemachines.org download.simplemachines.org]. Many of your favorite mods may not be compatable with the development versions of the forum. Check your mods' support threads for more information on mods.</includeonly><noinclude>{{Documentation}}</noinclude>

Revision as of 14:21, 11 January 2013

[edit] [purge] Template documentation

This template is used to produce easily-updatable documentation on which version of the SMF software the user should install. Example:

{{Which version
|currentstable=1.1.13
|currentseries=1.1
|firstinseries
|deprecatedseries=1.0
|obsoleteseries=0.0
}}
  • currentstable The current stable version of the SMF software -- the first listed on the downloads page
  • currentseries The series to which the current stable version belongs (1.1.13 is in the series 1.1)
  • firstinseries If the current stable version is the first in a new series (2.0, 1.0, etc), include this parameter. Otherwise, leave it out.
  • deprecatedseries (optional) The currently deprecated series; the series which is no longer current. With the release of 1.1, the 1.0 series became deprecated. Still supported. No new features to be added. Important bugfixes possible.
  • obsoleteseries (optional) Any previous series which is no longer supported, and for which no new bugfixes are to be released